class XC_CProjSN expands SpawnNotify;

var XC_CompensatorChannel Channel;
var Projectile Stored[64];
var int iStored;

function Setup( XC_CompensatorChannel COwner)
{
	Channel = COwner;
}

event Actor SpawnNotification( Actor A)
{
	if ( (A.default.bNetTemporary || A.default.RemoteRole == ROLE_SimulatedProxy) && (Channel.ProjAdv > 0) )
		Stored[iStored++] = Projectile(A);
	return A;
}

event Tick( float DeltaTime)
{
	local int i;


	For ( i=0 ; i<iStored ; i++ )
	{
		if ( Stored[i] == none )
			continue;
		if ( Stored[i].Owner != Channel.LocalPlayer )
			Stored[i].AutonomousPhysics( Channel.ProjAdv);
		Stored[i] = none;
	}
	iStored = 0;
}


defaultproperties
{
    ActorClass=class'Projectile';
}